select a.spcat,
       decode(a.spcat,'01','本部','02','Drs','03','VS','04','調剤','05','センター','06','GMS','07','その他','08','個人','09','ネット',' ') spcatnm,
       count(*) cnt
from afm032 a
where a.cucd = :cucd
group by a.spcat
order by nvl(a.spcat,'Z')